#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "histogram_internal.h"
#include "svg.h"
#include <curl/curl.h>



using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

//
Input
input_data(istream& inp,bool promt) {
    size_t number_count;
    if(promt){
        cerr << "  : ";
    }
    inp >> number_count;

    Input in;
    in.numbers.resize(number_count);

    if(promt){
        cerr << " :\n";
    }
    for (size_t i = 0; i < number_count; i++) {
        inp >> in.numbers[i];
    }

    if(promt){
        cerr << "  : ";
    }
    inp >> in.bin_count;

    return in;
}

int main() {

    curl_global_init(CURL_GLOBAL_ALL);
    setlocale(LC_ALL, "Russian");

    auto in = input_data(cin,true);

    auto bins = make_histogram(in.numbers, in.bin_count);

    double min, max;

    double bin_size = (max - min) / in.bin_count;

    //show_histogram_text(bins, bin_size);  :
    show_histogram_svg(bins);

    return 0;
}
